summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Sterrett <mr_bones_@gentoo.org>2016-05-06 12:13:18 -0400
committerMichael Sterrett <mr_bones_@gentoo.org>2016-05-06 12:13:41 -0400
commit116dc605032bd5eb45643f78be8fdaaf54d8d8ee (patch)
treee0d34bb667af68c933ef273c3dac172afaeef55a
parentmedia-plugins/frei0r-plugins: update patch to restore opencv-2 compatibility (diff)
downloadgentoo-116dc605032bd5eb45643f78be8fdaaf54d8d8ee.tar.gz
gentoo-116dc605032bd5eb45643f78be8fdaaf54d8d8ee.tar.bz2
gentoo-116dc605032bd5eb45643f78be8fdaaf54d8d8ee.zip
games-action/bzflag: version bump
Package-Manager: portage-2.2.26
-rw-r--r--games-action/bzflag/Manifest1
-rw-r--r--games-action/bzflag/bzflag-2.4.4.ebuild59
-rw-r--r--games-action/bzflag/files/bzflag-2.4.4-configure.patch37
3 files changed, 97 insertions, 0 deletions
diff --git a/games-action/bzflag/Manifest b/games-action/bzflag/Manifest
index 84c0d87b471..71cf9154a12 100644
--- a/games-action/bzflag/Manifest
+++ b/games-action/bzflag/Manifest
@@ -1 +1,2 @@
DIST bzflag-2.4.2.tar.bz2 15971448 SHA256 4f7bc52284cc4b39fc352855e555b2b064c1de6a18f7474e249073070762c811 SHA512 e5645e825f19896ad4dc1e3bf97c9b52ed3838210d97d5532936a9306623283330c9535288af90f86e32c88a1a7996b2c872b9c081558eea48400b86b3a1a6ff WHIRLPOOL 82a5e543a8fdcb80c516394c63901c80c77fc659090f952cb36f65a9fb14c5ca06d6547dc9d347c6abf0ee706c40437f80edf20c424775bf6e202423e025794c
+DIST bzflag-2.4.4.tar.bz2 13922761 SHA256 5842941e53440d2e88c955ddb594964fc5145912f61100832d224c1a017e2ecb SHA512 ee9eefe6a24250f1aa0ac808755f2e3700ea97c559019ca8beefb8d236afd1571314f07a8f19662677526ae364d38617a1a62b356e851c27669cb9acef1a8fd3 WHIRLPOOL c96853e3f1053a9b53c9d6ba27a6f638c2913e87a26d6188151a66f8f78aeeb78fac28e8cefde10d23d65fe02e49b93cd4516993e5b48a6f3f240ec67ab0fc8e
diff --git a/games-action/bzflag/bzflag-2.4.4.ebuild b/games-action/bzflag/bzflag-2.4.4.ebuild
new file mode 100644
index 00000000000..a840982cb34
--- /dev/null
+++ b/games-action/bzflag/bzflag-2.4.4.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit autotools eutils flag-o-matic games
+
+DESCRIPTION="3D tank combat simulator game"
+HOMEPAGE="http://www.bzflag.org/"
+SRC_URI="https://download.bzflag.org/bzflag/source/${PV}/${P}.tar.bz2"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="dedicated upnp"
+
+UIDEPEND=""
+DEPEND=">=net-misc/curl-7.15.0
+ sys-libs/ncurses:0
+ net-dns/c-ares
+ sys-libs/zlib
+ upnp? ( net-libs/miniupnpc )
+ !dedicated? (
+ virtual/opengl
+ virtual/glu
+ media-libs/libsdl[sound,joystick,video] )"
+RDEPEND=${DEPEND}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-configure.patch
+ eautoreconf
+}
+
+src_configure() {
+ local myconf
+
+ if use dedicated ; then
+ ewarn
+ ewarn "You are building a server-only copy of BZFlag"
+ ewarn
+ myconf="--disable-client --without-SDL"
+ fi
+ egamesconf \
+ $(use_enable upnp UPnP) \
+ ${myconf}
+}
+
+src_install() {
+ DOCS="AUTHORS ChangeLog DEVINFO PORTING README README.Linux" \
+ default
+
+ if ! use dedicated ; then
+ newicon data/bzflag-48x48.png ${PN}.png
+ make_desktop_entry ${PN} "BZFlag"
+ fi
+
+ prune_libtool_files --modules
+ prepgamesdirs
+}
diff --git a/games-action/bzflag/files/bzflag-2.4.4-configure.patch b/games-action/bzflag/files/bzflag-2.4.4-configure.patch
new file mode 100644
index 00000000000..b280621f6ec
--- /dev/null
+++ b/games-action/bzflag/files/bzflag-2.4.4-configure.patch
@@ -0,0 +1,37 @@
+diff -ru bzflag-2.4.4.orig/configure.ac bzflag-2.4.4/configure.ac
+--- bzflag-2.4.4.orig/configure.ac 2016-02-14 19:09:51.000000000 -0500
++++ bzflag-2.4.4/configure.ac 2016-05-05 16:35:35.475935345 -0400
+@@ -215,7 +215,7 @@
+ AC_SUBST(AR)
+ AC_SUBST(AR_FLAGS)
+
+-AC_PATH_PROG(CCACHE, ccache)
++AC_PATH_PROG(CCACHE, ccachex)
+ if test "$CCACHE" ; then
+ CC="ccache $CC"
+ CXX="ccache $CXX"
+@@ -747,13 +747,13 @@
+ #
+ # the GCC version is known to be at least 4.3 because it has C++0x support
+ # possible future warnings: -Wconversion (1894) -Wfloat-equal (317)
+-FLAGS="-Wall -Wextra -Wcast-qual -Wredundant-decls -Wshadow -Wundef -pedantic"
++FLAGSx="-Wall -Wextra -Wcast-qual -Wredundant-decls -Wshadow -Wundef -pedantic"
+ case $host_os in
+ linux*)
+ AC_DEFINE(HALF_RATE_AUDIO, 1, [Half rate Audio])
+ CONF_CFLAGS="$CONF_CFLAGS $FLAGS"
+ CONF_CXXFLAGS="$CONF_CXXFLAGS $FLAGS"
+- case $host_vendor in
++ case $host_vendorx in
+ pc)
+ if expr `$CC -dumpversion` \>= "3.4" > /dev/null ; then
+ FLAGS=-mtune
+@@ -836,7 +836,7 @@
+ CXXFLAGS="$user_CXXFLAGS"
+ AC_DEFINE(DEBUG, 1, [Debugging enabled])
+ else
+- if test "$GCC" = yes ; then
++ if test "$GCC" = yesx ; then
+ case "`$CC --version 2>&1`" in
+ *LLVM*)
+ # Apple LLVM falsely claims to be GCC